﻿using System;
using Styx;
using Styx.CommonBot;
using Styx.Plugins;

namespace HB.Plugins.NoMoveDetector
{
    class NoMoveDetector : HBPlugin
    {
        #region Overrides of HBPlugin

      
        public override string ButtonText { get { return "---"; } }
        public override bool WantButton { get { return false; } }
        public override void OnButtonPress() { }
        public override string Name { get { return "Aspect-of-the-cheetah"; } }
        public override string Author { get { return "Banzai!"; } }
        public override Version Version { get { return new Version(1, 0, 0); } }

        #endregion
        public override void Pulse()
        {
            if (!StyxWoW.Me.IsActuallyInCombat 
                && !StyxWoW.Me.Mounted
                && !StyxWoW.Me.HasAura(5118)
                && SpellManager.CanCast(5118))
            {
                SpellManager.Cast(5118);
            }
        }

     }
}
